package info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class DriverInfoRequest {

	@ApiModelProperty(value = "司机姓名")
	private String driverName;
	@ApiModelProperty(value = "身份证号")
	private String drivingLicense;
	@ApiModelProperty(value = "驾驶证号")
	private String driverLicenseNumber;
	@ApiModelProperty(value = "从业资格证号")
	private String qualificationCertificate;
    @ApiModelProperty(value = "从业资格证核验结果")
    private String qualificationCardResult;
    @ApiModelProperty(value = "驾驶证核验结果")
    private String driveCardResult;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    @ApiModelProperty(value = "页数")
    private int pageNum;
    @ApiModelProperty(value = "页面显示数量")
    private int pageSize;

}

