package info.aspirecn.cloud.yysj.cloudyysjagency.entity.response;

import info.aspirecn.cloud.yysj.cloudyysjagency.enums.ResultEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@ToString
@Accessors(chain = true)
public class Result {

    /**状态码描述信息 */
    @ApiModelProperty(value = "响应信息")
    private String message ="";

    /** 返回数据信息*/
    @ApiModelProperty(value = "响应数据")
    private Object data = "";

    public void setError(ResultEnum resultEnum) {

        this.message = resultEnum.getMessage();

    }

}
