package info.aspirecn.cloud.yysj.cloudyysjagency.config.filter;


import lombok.extern.slf4j.Slf4j;
import org.springframework.util.AntPathMatcher;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * @author jianggang
 * @Date 2018/11/21 15:33:10
 * @Description
 */

@Slf4j
public class VueIndexFilter implements Filter {

    //private String noforward = "assets;css;fonts;img;js;api;woff;ttf;authentication;analysisQuery;carQuery;";

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest)servletRequest;
        String uri = request.getRequestURI();
        AntPathMatcher antPathMatcher = new AntPathMatcher();
        boolean isMatch = antPathMatcher.match("/*", uri);
        if(isMatch){
            servletRequest.getRequestDispatcher("/").forward(servletRequest,servletResponse);

        }else {
            filterChain.doFilter(servletRequest,servletResponse);
        }
    }

    @Override
    public void destroy() {

    }

}

